E-MailRelay

Public Member Functions | List of all members
G::StringWrap::WordWrapper Class Reference

Private implementation structure for G::StringWrap. More...

## Public Member Functions
| WordWrapper (std::ostream &, StringWrap::Config, const std::locale &)
void | emit (const std::string &word, std::size_t newlines, const std::string &prespace)
| WordWrapper (const WordWrapper &)=delete
| WordWrapper (WordWrapper &&)=delete
void | operator= (const WordWrapper &)=delete
void | operator= (WordWrapper &&)=delete

## Detailed Description

Private implementation structure for G::StringWrap.

Definition at line 40 of file gstringwrap.cpp.

## Constructor & Destructor Documentation

## ◆ WordWrapper()

G::StringWrap::WordWrapper::WordWrapper | ( | std::ostream & | out,
|  | StringWrap::Config | config,
|  | const std::locale & | loc
| ) |  |

Definition at line 66 of file gstringwrap.cpp.

## Member Function Documentation

## ◆ emit()

void G::StringWrap::WordWrapper::emit | ( | const std::string & | word,
|  | std::size_t | newlines,
|  | const std::string & | prespace
| ) |  |

Definition at line 78 of file gstringwrap.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gstringwrap.cpp